public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-emacs/groovy-emacs-modes/files/, app-emacs/groovy-emacs-modes/
@ 2023-02-21  2:03 Maciej Barć
  0 siblings, 0 replies; only message in thread
From: Maciej Barć @ 2023-02-21  2:03 UTC (permalink / raw
  To: gentoo-commits

commit:     665eceefafe15f59b67ca652bb60cf830368b64a
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 21 01:44:02 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Feb 21 01:50:08 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=665eceef

app-emacs/groovy-emacs-modes: new package; add 2.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/groovy-emacs-modes/Manifest              |  1 +
 .../files/50groovy-emacs-modes-gentoo.el           |  2 +
 .../groovy-emacs-modes-2.1.ebuild                  | 45 ++++++++++++++++++++++
 app-emacs/groovy-emacs-modes/metadata.xml          | 18 +++++++++
 4 files changed, 66 insertions(+)

diff --git a/app-emacs/groovy-emacs-modes/Manifest b/app-emacs/groovy-emacs-modes/Manifest
new file mode 100644
index 000000000000..65edd5328139
--- /dev/null
+++ b/app-emacs/groovy-emacs-modes/Manifest
@@ -0,0 +1 @@
+DIST groovy-emacs-modes-2.1.tar.gz 116174 BLAKE2B be913268b9ae4c1ca74f3391d9dad11b4804a651098a160d8c4e0ac449ea2d0a381e73c3b7412311f73df8569b5e2933b0c3e169bb57483b9bc87089c9623369 SHA512 c7367248640a4891db144afb16bc8a00545eb0155a87404c653ceed5706f684b34d135c2327659032769fa437c7e5dfd5942b287dc16b9636a9c7645762c670a

diff --git a/app-emacs/groovy-emacs-modes/files/50groovy-emacs-modes-gentoo.el b/app-emacs/groovy-emacs-modes/files/50groovy-emacs-modes-gentoo.el
new file mode 100644
index 000000000000..653c0ed582ca
--- /dev/null
+++ b/app-emacs/groovy-emacs-modes/files/50groovy-emacs-modes-gentoo.el
@@ -0,0 +1,2 @@
+(add-to-list 'load-path "@SITELISP@")
+(load "groovy-emacs-modes-autoloads" nil t)

diff --git a/app-emacs/groovy-emacs-modes/groovy-emacs-modes-2.1.ebuild b/app-emacs/groovy-emacs-modes/groovy-emacs-modes-2.1.ebuild
new file mode 100644
index 000000000000..7b4a823f9cb5
--- /dev/null
+++ b/app-emacs/groovy-emacs-modes/groovy-emacs-modes-2.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS=24.3
+
+inherit elisp
+
+DESCRIPTION="Groovy major mode, grails minor mode, and a groovy inferior mode"
+HOMEPAGE="https://github.com/Groovy-Emacs-Modes/groovy-emacs-modes/"
+SRC_URI="https://github.com/Groovy-Emacs-Modes/${PN}/archive/${PV}.tar.gz
+	-> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DOCS=( README.md groovy-mode.png )
+SITEFILE="50${PN}-gentoo.el"
+
+RDEPEND="
+	app-emacs/s
+	app-emacs/dash
+"
+BDEPEND="
+	${RDEPEND}
+	test? (
+		app-emacs/ert-runner
+		app-emacs/f
+		app-emacs/shut-up
+		app-emacs/undercover
+	)
+"
+
+src_compile() {
+	elisp_src_compile
+	elisp-make-autoload-file
+}
+
+src_test() {
+	ert-runner -L . -L test --reporter ert+duration --script test || die
+}

diff --git a/app-emacs/groovy-emacs-modes/metadata.xml b/app-emacs/groovy-emacs-modes/metadata.xml
new file mode 100644
index 000000000000..6d47d76cce35
--- /dev/null
+++ b/app-emacs/groovy-emacs-modes/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+  <maintainer type="project">
+    <email>gnu-emacs@gentoo.org</email>
+    <name>Gentoo GNU Emacs project</name>
+  </maintainer>
+  <longdescription>
+    GNU Emacs modes for Groovy and Grails. The major features are syntax
+    highlighting with groovy-mode, REPL integration with run-groovy and Grails
+    project navigation with grails-mode.
+  </longdescription>
+  <upstream>
+    <bugs-to>https://github.com/Groovy-Emacs-Modes/groovy-emacs-modes/issues/</bugs-to>
+    <remote-id type="github">Groovy-Emacs-Modes/groovy-emacs-modes</remote-id>
+  </upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2023-02-21  2:03 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-02-21  2:03 [gentoo-commits] repo/gentoo:master commit in: app-emacs/groovy-emacs-modes/files/, app-emacs/groovy-emacs-modes/ Maciej Barć

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox